Main Page Namespace List Class Hierarchy Alphabetical List Compound List File List Namespace Members Compound Members File Members Related Pages

# Exception.h File Reference

`#include "ace/pre.h"`
`#include "tao/corbafwd.h"`
`#include "ace/SString.h"`
`#include "ace/post.h"`

Include dependency graph for Exception.h:

This graph shows which files directly or indirectly include this file:

## Compounds
class | CORBA_Exception
class | CORBA_SystemException
class | CORBA_UserException
class | TAO_Exceptions
## Defines
#define | TAO_RAISE(EXCEPTION) throw EXCEPTION
#define | TAO_SYSTEM_EXCEPTION(name)
## Functions
| TAO_SYSTEM_EXCEPTION (UNKNOWN)
| TAO_SYSTEM_EXCEPTION (BAD_PARAM)
| TAO_SYSTEM_EXCEPTION (NO_MEMORY)
| TAO_SYSTEM_EXCEPTION (IMP_LIMIT)
| TAO_SYSTEM_EXCEPTION (COMM_FAILURE)
| TAO_SYSTEM_EXCEPTION (OBJECT_NOT_EXIST)
| TAO_SYSTEM_EXCEPTION (MARSHAL)
| TAO_SYSTEM_EXCEPTION (PERSIST_STORE)
| TAO_SYSTEM_EXCEPTION (TRANSIENT)
| TAO_SYSTEM_EXCEPTION (FREE_MEM)
| TAO_SYSTEM_EXCEPTION (DATA_CONVERSION)
| TAO_SYSTEM_EXCEPTION (REBIND)

## Detailed Description

Exception.h,v 1.79 2001/11/21 16:13:57 schmidt Exp

This file defines way in which CORBA exceptions are reported.

Author(s):
  Copyright 1994-1995 by Sun Microsystems Inc.

## Define Documentation

#define TAO_RAISE( | EXCEPTION ) throw EXCEPTION

#define TAO_SYSTEM_EXCEPTION( | name )

| Initializer:
    \
    class TAO_Export CORBA_ ## name : public CORBA_SystemException { \
    public: \
      CORBA_ ## name (void); \
      CORBA_ ## name (CORBA::ULong code, \
                      CORBA::CompletionStatus completed) \
        : CORBA_SystemException ("IDL:omg.org/CORBA/" #name ":1.0", code, completed) \
        { } \
      static CORBA_##name * _downcast (CORBA_Exception* exception); \
      virtual int _is_a (const char* type_id) const; \
      virtual void _raise (void); \
      virtual CORBA::TypeCode_ptr _type (void) const; \
      static void _tao_any_destructor (void*); \
    }; \
    TAO_Export void operator<<= (CORBA::Any &, const CORBA_##name &); \
    TAO_Export void operator<<= (CORBA::Any &, CORBA_##name *); \
    TAO_Export CORBA::Boolean operator>>= (const CORBA::Any &, \
                                           const CORBA_##name *&)

## Function Documentation

TAO_SYSTEM_EXCEPTION ( | REBIND )

TAO_SYSTEM_EXCEPTION ( | DATA_CONVERSION )

TAO_SYSTEM_EXCEPTION ( | FREE_MEM )

TAO_SYSTEM_EXCEPTION ( | TRANSIENT )

TAO_SYSTEM_EXCEPTION ( | PERSIST_STORE )

TAO_SYSTEM_EXCEPTION ( | MARSHAL )

TAO_SYSTEM_EXCEPTION ( | OBJECT_NOT_EXIST )

TAO_SYSTEM_EXCEPTION ( | COMM_FAILURE )

TAO_SYSTEM_EXCEPTION ( | IMP_LIMIT )

TAO_SYSTEM_EXCEPTION ( | NO_MEMORY )

TAO_SYSTEM_EXCEPTION ( | BAD_PARAM )

TAO_SYSTEM_EXCEPTION ( | UNKNOWN )